package solutions.bitbadger.documents.common

/**
 * How fields should be matched in by-field queries
 */
enum class FieldMatch(val sql: String) {
    /** Match any of the field criteria (`OR`) */
    ANY("OR"),
    /** Match all the field criteria (`AND`) */
    ALL("AND"),
}
