package solutions.bitbadger.documents.common

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import kotlin.test.assertEquals

/**
 * Unit tests for the `DocumentIndex` enum
 */
@DisplayName("Kotlin | Common | DocumentIndex")
class DocumentIndexTest {

    @Test
    @DisplayName("FULL uses proper SQL")
    fun fullSQL() {
        assertEquals("", DocumentIndex.FULL.sql, "The SQL for Full is incorrect")
    }

    @Test
    @DisplayName("OPTIMIZED uses proper SQL")
    fun optimizedSQL() {
        assertEquals(" jsonb_path_ops", DocumentIndex.OPTIMIZED.sql, "The SQL for Optimized is incorrect")
    }
}
