package solutions.bitbadger.documents.common

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import kotlin.test.assertEquals

/**
 * Unit tests for the `FieldMatch` enum
 */
@DisplayName("Kotlin | Common | FieldMatch")
class FieldMatchTest {

    @Test
    @DisplayName("ANY uses proper SQL")
    fun any() {
        assertEquals("OR", FieldMatch.ANY.sql, "ANY should use OR")
    }

    @Test
    @DisplayName("ALL uses proper SQL")
    fun all() {
        assertEquals("AND", FieldMatch.ALL.sql, "ALL should use AND")
    }
}
