package solutions.bitbadger.documents

import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test
import kotlin.test.assertFalse
import kotlin.test.assertTrue

/**
 * Unit tests for the `Configuration` object
 */
@DisplayName("Kotlin | Configuration")
class ConfigurationTest {

    @Test
    @DisplayName("Default JSON options are as expected")
    fun defaultJsonOptions() {
        assertTrue(Configuration.json.configuration.encodeDefaults, "Encode Defaults should have been set")
        assertFalse(Configuration.json.configuration.explicitNulls, "Explicit Nulls should not have been set")
        assertTrue(Configuration.json.configuration.coerceInputValues, "Coerce Input Values should have been set")
    }
}
