package solutions.bitbadger.documents.common.java;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import solutions.bitbadger.documents.common.FieldMatch;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * Unit tests for the `FieldMatch` enum
 */
@DisplayName("Java | Common | FieldMatch")
final public class FieldMatchTest {

    @Test
    @DisplayName("ANY uses proper SQL")
    public void any() {
        assertEquals("OR", FieldMatch.ANY.getSql(), "ANY should use OR");
    }

    @Test
    @DisplayName("ALL uses proper SQL")
    public void all() {
        assertEquals("AND", FieldMatch.ALL.getSql(), "ALL should use AND");
    }
}
