package solutions.bitbadger.documents.java.java.integration.postgresql;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import solutions.bitbadger.documents.java.integration.postgresql.PgDB;
import solutions.bitbadger.documents.java.java.integration.common.Count;

/**
 * PostgreSQL integration tests for the `Count` object / `count*` connection extension functions
 */
@DisplayName("Java | PostgreSQL: Count")
public class CountIT {

    @Test
    @DisplayName("all counts all documents")
    public void all() {
        try (PgDB db = new PgDB()) {
            Count.all(db);
        }
    }

}
